import unittest
import clb_utils
import commonapi_config
import logging

class MyTestCase(unittest.TestCase):

    def test_create_multiple_instances(self):
        ecs_client = clb_utils.connect_client(access_key_id=commonapi_config.ecs_client_params['access_key_id'],
                                              access_key_secret=commonapi_config.ecs_client_params['access_key_secret'],
                                              region_id=commonapi_config.ecs_client_params['region_id'])

        ess_instance_ids = clb_utils.create_multiple_instances(
            amount=1,
            client=ecs_client,
            **commonapi_config.instance_config_h,
        )
        logging.info(ess_instance_ids)


if __name__ == '__main__':
    unittest.main()
